/*
*****************************************
* Interface DiskPartition
*
* Author: Luiz Henrique Shigunov
* E-mail: luizshigunov@users.sourceforge.net
* WEB: http://www.sourceforge.net/projects/modulos
* Last change: 14/03/2004
*
* See the interface specification to know what each function does.
*
* Copyright (C) 2004, Luiz Henrique Shigunov
*****************************************
*/

#if !defined(__DISKPARTITION_H)
#define __DISKPARTITION_H
#define DiskPartition__READ 0x00
typedef struct {unsigned int startBlock;unsigned int nBlocks;unsigned short id;unsigned short flags;} DiskPartition_Partition;
typedef struct {unsigned int nParts;DiskPartition_Partition parts[1];} DiskPartition_Description;
#define DiskPartition_F_EXTENDED    0x01
#define DiskPartition_F_LOGICAL     0x02
#define DiskPartition_F_BOOT        0x04
#include <sysmodmanager.h>
int DiskPartition_Read(SysModManager_Imp*,unsigned int,DiskPartition_Description*,unsigned int,unsigned int);
#endif /* __DISKPARTITION_H */
