/*
*****************************************
* Interface ExecLoader
*
* Author: Luiz Henrique Shigunov
* E-mail: luizshigunov@users.sourceforge.net
* WEB: http://www.sourceforge.net/projects/modulos
* Last change: 18/04/2003
*
* See the interface specification to know what each function does.
*
* Copyright (C) 2003, Luiz Henrique Shigunov
*****************************************
*/

#if !defined(__EXECLOADER_H)
#define __EXECLOADER_H
#define ExecLoader__CHECKEXEC 0x00
#define ExecLoader__LOADEXEC 0x01
#include <taskmanager.h>
#include <userspacemanager.h>
int ExecLoader_CheckExec(UserSpaceManager_ExecInfo*);
int ExecLoader_LoadExec(UserSpaceManager_ExecInfo*,TaskManager_Regs*);
#endif /* __EXECLOADER_H */
