/*
*****************************************
* Interface InputDev
*
* Author: Luiz Henrique Shigunov
* E-mail: luizshigunov@users.sourceforge.net
* WEB: http://www.sourceforge.net/projects/modulos
* Last change: 15/12/2002
*
* See the interface specification to know what each function does.
*
* Copyright (C) 2000-2002, Luiz Henrique Shigunov
*****************************************
*/

#if !defined(__INPUTDEV_H)
#define __INPUTDEV_H
#define InputDev__GETFOCUS 0x00
#define InputDev__GETIMPINFO 0x01
#define InputDev__REGISTER 0x02
#define InputDev__SETFOCUS 0x03
typedef struct {const char *interface;const char *implementation;} InputDev_ImpInfo;
#include "intermanager.h"
#include "taskmanager.h"
TaskManager_Task *InputDev_GetFocus(void);
int InputDev_GetImpInfo(InputDev_ImpInfo*);
int InputDev_Register(TaskManager_Task*);
void InputDev_SetFocus(TaskManager_Task*);
#endif /* __INPUTDEV_H */
