/*
*****************************************
* Interface IntController_i386
*
* Author: Luiz Henrique Shigunov
* E-mail: luizshigunov@users.sourceforge.net
* WEB: http://www.sourceforge.net/projects/modulos
* Last change: 11/05/01
*
* See the interface specification to know what each function does.
*
* Copyright (C) 2000-2001, Luiz Henrique Shigunov
*****************************************
*/

#if !defined(__INTCONTROLLER_i386_H)
#define __INTCONTROLLER_i386_H
#define IntController_i386__ENDIRQ 0x00
#define IntController_i386__MASKIRQ 0x01
#define IntController_i386__REDIRECTIRQ 0x02
#define IntController_i386__UNMASKIRQ 0x03
void IntController_i386_EndIRQ(unsigned int);
int IntController_i386_MaskIRQ(unsigned int);
int IntController_i386_RedirectIRQ(unsigned int);
int IntController_i386_UnmaskIRQ(unsigned int);
#endif /* __INTCONTROLLER_i386_H */
