/*
*****************************************
* Interface IOPortManager
*
* Author: Luiz Henrique Shigunov
* E-mail: luizshigunov@users.sourceforge.net
* WEB: http://www.sourceforge.net/projects/modulos
* Last change: 25/04/01
*
* See the interface specification to know what each function does.
*
* Copyright (C) 2000-2001, Luiz Henrique Shigunov
*****************************************
*/

#if !defined(__IOPORTMANAGER_H)
#define __IOPORTMANAGER_H
#include "sysmodmanager.h"
#define IOPortManager__ALLOC 0x00
#define IOPortManager__FREE 0x01
#define IOPortManager__ISINUSE 0x02
int IOPortManager_Alloc(SysModManager_Module*,unsigned int,unsigned int,int);
int IOPortManager_Free(SysModManager_Module*,unsigned int);
int IOPortManager_IsInUse(unsigned int);
#endif /* __IOPORTMANAGER_H */
