/*
*****************************************
* Interface MemMan
*
* Author: Luiz Henrique Shigunov
* E-mail: luizshigunov@users.sourceforge.net
* WEB: http://www.sourceforge.net/projects/modulos
* Last change: 13/02/2002
*
* See the interface specification to know what each function does.
*
* Copyright (C) 2000-2002, Luiz Henrique Shigunov
*****************************************
*/

#if !defined(__USER_MEMMAN_H)
#define __USER_MEMMAN_H
#define User_MemMan__COMPARE 0x00
#define User_MemMan__COPY 0x01
#define User_MemMan__FINDBYTE 0x02
#define User_MemMan__MOVE 0x03
#define User_MemMan__SET 0x04
int User_MemMan_Compare(const void*,const void*,unsigned int);
void User_MemMan_Copy(void*,const void*,unsigned int);
void *User_MemMan_FindByte(const void*,int,unsigned int);
void User_MemMan_Move(void*,const void*,unsigned int);
void User_MemMan_Set(void*,unsigned int,unsigned int);
#endif /* __USER_MEMMAN_H */
