/*
*****************************************
* Interface MemMan
*
* Author: Luiz Henrique Shigunov
* E-mail: luizshigunov@users.sourceforge.net
* WEB: http://www.sourceforge.net/projects/modulos
* Last change: 25/04/01
*
* See the interface specification to know what each function does.
*
* Copyright (C) 2000-2001, Luiz Henrique Shigunov
*****************************************
*/

#if !defined(__MEMMAN_H)
#define __MEMMAN_H
#define MemMan__COMPARE 0x00
#define MemMan__COPY 0x01
#define MemMan__FINDBYTE 0x02
#define MemMan__MOVE 0x03
#define MemMan__SET 0x04
int MemMan_Compare(const void*,const void*,unsigned int);
void MemMan_Copy(void*,const void*,unsigned int);
void *MemMan_FindByte(const void*,int,unsigned int);
void MemMan_Move(void*,const void*,unsigned int);
void MemMan_Set(void*,unsigned int,unsigned int);
#endif /* __MEMMAN_H */
