/*
*****************************************
* Interface OutputDev
*
* Author: Luiz Henrique Shigunov
* E-mail: luizshigunov@users.sourceforge.net
* WEB: http://www.sourceforge.net/projects/modulos
* Last change: 17/11/2002
*
* See the interface specification to know what each function does.
*
* Copyright (C) 2000-2002, Luiz Henrique Shigunov
*****************************************
*/

#if !defined(__OUTPUTDEV_H)
#define __OUTPUTDEV_H
#include "taskmanager.h"
#define OutputDev__GETIMPINFO 0x00
#define OutputDev__REGISTER 0x01
typedef struct {const char *interface;const char *implementation;} OutputDev_ImpInfo;
int OutputDev_GetImpInfo(OutputDev_ImpInfo*);
int OutputDev_Register(TaskManager_Task*);
#endif /* __OUTPUTDEV_H */
