header {
"User Modules Manager - Copyright (C) 2000-2005, Luiz Henrique Shigunov (luizshigunov@users.sourceforge.net)"
0x0042
0x0
""
"Phase1Start"
"Shutdown"
}

interface {
"UserModManager"
    implementation {
    "i386"
        "Exit"                  0x1
        "Register"              0x1
        "Unregister"            0x1
        "NotImplemented"        0x3
        "UCatchException"       0x0100
        "UExit"                 0x0100
        "UGetFunction"          0x0400
        "UGetLibFunction"       0x0400
        "UGetShutdownFunctionI" 0x0100
        "UGetStackSize"         0x0000
        "UGetStartFunction"     0x0100
        "UGetStartFunctionI"    0x0100
        "ULoad"                 0x0200
        "UUnload"               0x0100
    }
}

interface {
"UserSpaceManagerE"
    implementation {
    "UserModManager-i386"
        "NotImplemented"                    0x3
        "UserSpaceManagerE_TaskDestroyed"   0x1
    }
}

interface {
"ExecLoader"
    implementation {
    "ExecMod"
        "ExecLoader_CheckExec"  0x1
        "ExecLoader_LoadExec"   0x1
    }
}

usedfunctions {
"AVLTree_In_Add"                    "AVLTree_In"            ""  0x00
"AVLTree_In_Find"                   "AVLTree_In"            ""  0x02
"AVLTree_In_FindAdd"                "AVLTree_In"            ""  0x03
"CfgManager_CloseGroup"             "CfgManager"            ""  0x00
"CfgManager_GetValue"               "CfgManager"            ""  0x03
"CfgManager_OpenGroup"              "CfgManager"            ""  0x04
"CfgManager_OpenGroupIndex"         "CfgManager"            ""  0x05
"InterManager_SendEvent"            "InterManager"          ""  0x02
"IntManager_i386_Catch"             "IntManager_i386"       ""  0x00
"IntManager_i386_CatchException"    "IntManager_i386"       ""  0x04
"IntManager_i386_Free"              "IntManager_i386"       ""  0x01
"IntManager_i386_FreeException"     "IntManager_i386"       ""  0x05
"MemMan_Compare"                    "MemMan"                ""  0x00
"MemMan_Copy"                       "MemMan"                ""  0x01
"MemManager_Alloc"                  "MemManager"            ""  0x00
"MemManager_AllocObj"               "MemManager"            ""  0x01
"MemManager_AllocUserPages"         "MemManager"            ""  0x06
"MemManager_AttachShMemory"         "MemManager"            ""  0x07
"MemManager_CreateObjCache"         "MemManager"            ""  0x02
"MemManager_CreateShMemory"         "MemManager"            ""  0x08
"MemManager_DestroyObjCache"        "MemManager"            ""  0x03
"MemManager_DestroyShMemory"        "MemManager"            ""  0x09
"MemManager_DetachShMemory"         "MemManager"            ""  0x0a
"MemManager_Free"                   "MemManager"            ""  0x04
"MemManager_FreeObj"                "MemManager"            ""  0x05
"MemManager_FreeUserPages"          "MemManager"            ""  0x0b
"MemManager_ProtectShMemory"        "MemManager"            ""  0x0d
"MemManager_SetUserPagesProt"       "MemManager"            ""  0x0e
"MemManager_i386_AllocPages"        "MemManager_i386"       ""  0x00
"MemManager_i386_AllocPhysPages"    "MemManager_i386"       ""  0x01
"MemManager_i386_Catch"             "MemManager_i386"       ""  0x03
"MemManager_i386_FreeException"     "MemManager_i386"       ""  0x07
"MemManager_i386_FreePages"         "MemManager_i386"       ""  0x08
"MemManager_i386_FreePhysPages"     "MemManager_i386"       ""  0x09
"MemManager_i386_MapPhysPages"      "MemManager_i386"       ""  0x0a
"RExecModFile_Close"                "RExecModFile"          ""  0x00
"RExecModFile_CheckFormat"          "RExecModFile"          ""  0x09
"RExecModFile_GetModuleInfo"        "RExecModFile"          ""  0x01
"RExecModFile_GetUsedFunc"          "RExecModFile"          ""  0x02
"RExecModFile_GetUsedFuncReloc"     "RExecModFile"          ""  0x03
"RExecModFile_LoadCode"             "RExecModFile"          ""  0x04
"RExecModFile_LoadData"             "RExecModFile"          ""  0x05
"RExecModFile_LoadROData"           "RExecModFile"          ""  0x06
"RExecModFile_OpenFD"               "RExecModFile"          ""  0x08
"RLibModFile_Close"                 "RLibModFile"           ""  0x00
"RLibModFile_GetFuncsInfo"          "RLibModFile"           ""  0x01
"RLibModFile_GetImpInfo"            "RLibModFile"           ""  0x02
"RLibModFile_GetInterInfo"          "RLibModFile"           ""  0x03
"RLibModFile_GetModuleInfo"         "RLibModFile"           ""  0x04
"RLibModFile_GetUsedFunc"           "RLibModFile"           ""  0x05
"RLibModFile_GetUsedFuncReloc"      "RLibModFile"           ""  0x06
"RLibModFile_LoadCode"              "RLibModFile"           ""  0x07
"RLibModFile_LoadData"              "RLibModFile"           ""  0x08
"RLibModFile_LoadROData"            "RLibModFile"           ""  0x09
"RLibModFile_Open"                  "RLibModFile"           ""  0x0a
"StringMan_Compare"                 "StringMan"             ""  0x00
"StringMan_Copy"                    "StringMan"             ""  0x02
"StringMan_Length"                  "StringMan"             ""  0x05
"SysModManager_Broadcast"           "SysModManager"         ""  0x00
"SysModManager_DebugMsg"            "SysModManager"         ""  0x02
"SysModManager_GetFunction"         "SysModManager"         ""  0x05
"SysModManager_GetImpID"            "SysModManager"         ""  0x0c
"SysModManager_PutImpID"            "SysModManager"         ""  0x03
"SysModManager_StartModule"         "SysModManager"         ""  0x0a
"TaskManager_DelTaskInfo"           "TaskManager"           ""  0x03
"TaskManager_Destroyable"           "TaskManager"           ""  0x2d
"TaskManager_DestroyableThread"     "TaskManager"           ""  0x30
"TaskManager_GetParentTaskHandle"   "TaskManager"           ""  0x26
"TaskManager_GetTaskHandle"         "TaskManager"           ""  0x08
"TaskManager_GetTaskID"             "TaskManager"           ""  0x28
"TaskManager_GetTaskInfo"           "TaskManager"           ""  0x09
"TaskManager_P"                     "TaskManager"           ""  0x0f
"TaskManager_SetTaskInfo"           "TaskManager"           ""  0x12
"TaskManager_SpinLock"              "TaskManager"           ""  0x14
"TaskManager_SpinUnlock"            "TaskManager"           ""  0x15
"TaskManager_UndestroyableThread"   "TaskManager"           ""  0x2f
"TaskManager_V"                     "TaskManager"           ""  0x1a
"UserSpaceManager_CopyFromUser"     "UserSpaceManager"      ""  0x00
"UserSpaceManager_CopyToUser"       "UserSpaceManager"      ""  0x01
"UserSpaceManager_Exit"             "UserSpaceManager"      ""  0x02
"UserSpaceManager_MapStackPages"    "UserSpaceManager"      ""  0x03
"UserSpaceManager_StrLen"           "UserSpaceManager"      ""  0x06
"UserSpaceManager_StrNCopy"         "UserSpaceManager"      ""  0x07
}
