    .file	"linuxdomain_asm.s"
    .version	"01.01"
gcc2_compiled.:

EBX             = 0x00
ECX             = 0x04
EDX             = 0x08
ESI             = 0x0C
EDI             = 0x10
EBP             = 0x14
EAX             = 0x18
DS              = 0x1C
ES              = 0x20
ORIG_EAX        = 0x24
EIP             = 0x28
CS              = 0x2C
EFLAGS          = 0x30
OLDESP          = 0x34
OLDSS           = 0x38

ENOSYS = 38

NR_syscalls = 256

.text
    .align 4
.globl SysCall
    .type	 SysCall,@function
SysCall:
    pushl %eax                      # save orig_eax
    cld
    pushl %es
    pushl %ds
    pushl %eax
    pushl %ebp 
    pushl %edi 
    pushl %esi 
    pushl %edx 
    pushl %ecx 
    pushl %ebx 
    movl $16,%edx
    movl %edx,%ds
    movl %edx,%es
    cmpl $(NR_syscalls),%eax
    jae badsys
    movl %eax, %ebx
    call TaskManager_UndestroyableThread
    call *sys_call_table(,%ebx,4)
    movl %eax,EAX(%esp)             # save the return value
    pushl $0
    call TaskManager_DestroyableThread
    popl %ebx

ret_from_sys_call:
    popl %ebx      
    popl %ecx
    popl %edx      
    popl %esi      
    popl %edi      
    popl %ebp      
    popl %eax      
    popl %ds       
    popl %es       
    addl $4,%esp   
    iret           
badsys:
    movl $-ENOSYS,EAX(%esp)
    jmp ret_from_sys_call
    
.Lfe3:
    .size	 SysCall,.Lfe3-SysCall
    
.data
.globl sys_call_table
    .type	 sys_call_table,@object
sys_call_table:
    .long sys_ni_syscall                        # 0
    .long sys_exit
    .rept 43
            .long sys_NotImplemented
    .endr
    .long sys_brk                               # 45
    .rept 76
            .long sys_NotImplemented
    .endr
    .long sys_newuname                          # 122
    .rept 23
            .long sys_NotImplemented
    .endr
    .long sys_writev                            # 146
    .rept NR_syscalls-(.-sys_call_table)/4
            .long sys_NotImplemented
    .endr
.Lfe4:
    .size	 sys_call_table,.Lfe4-sys_call_table

    .ident	"GCC: (GNU) egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)"
