# do make in all subdirs
all: $(patsubst %, _dir_%, $(SUBDIRS))

# clear all dirs
clean: $(patsubst %, _c_dir_%, $(SUBDIRS))

# tag all dirs
cvs_tag: $(patsubst %, _t_dir_%, $(SUBDIRS))

# other targets
include $(TOPDIR)/targets.make

$(patsubst %, _dir_%, $(SUBDIRS)) :
	@$(MAKE) CFLAGS="$(CFLAGS)" LD_FLAGS="$(LD_FLAGS)" -C $(patsubst _dir_%, %, $@)

$(patsubst %, _c_dir_%, $(SUBDIRS)) :
	@$(MAKE) -C $(patsubst _c_dir_%, %, $@) clean

$(patsubst %, _t_dir_%, $(SUBDIRS)) :
	@$(MAKE) -C $(patsubst _t_dir_%, %, $@) cvs_tag
