header {
"Memory manager - Copyright (C) 2000-2005, Luiz Henrique Shigunov (luizshigunov@users.sourceforge.net)"
0x0015
0x0
"Start"
""
}

interface {
"MemManager"
    implementation {
    "i386"
        "Alloc"             0x0
        "AllocAlign"        0x0
        "AllocClear"        0x0
        "AllocPageAlign"    0x0
        "AllocPageRound"    0x0
        "Free"              0x0
        "GetMemStats"       0x0
        "GetUsableSize"     0x0
        "MemTrim"           0x0
        "ReAlloc"           0x0
        "SetMemOption"      0x0
    }
}

usedfunctions {
    "MemMan" 0x0 {
        "" {
            "User_MemMan_Copy"  0x01
            "User_MemMan_Move"  0x03
            "User_MemMan_Set"   0x04
        }
    }

    "Mutex" 0x0 {
        "" {
            "User_Mutex_Init"       0x01
            "User_Mutex_Lock"       0x02
            "User_Mutex_TryLock"    0x03
            "User_Mutex_Unlock"     0x04
        }
    }

    "StringMan" 0x0 {
        "" {
            "User_StringMan_BufPrintF"  0x09
            "User_StringMan_Compare"    0x00
            "User_StringMan_Length"     0x05
        }
    }

    "Thread" 0x0 {
        ""  {
            "User_Thread_AllocTSD"  0x03
            "User_Thread_GetTSD"    0x05
            "User_Thread_SetTSD"    0x06
        }
    }

    "InterManager" 0x1 {
        "" {
            "InterManager_UGetOutputInfo"     0x05
        }
    }

    "MemManager" 0x1 {
        "" {
            "MemManager_UAllocUserPages"        0x0f
            "MemManager_UFreeUserPages"         0x10
            "MemManager_USetUserPagesProt"      0x11
        }
    }

    "UserModManager" 0x1 {
        "" {
            "UserModManager_UExit"              0x05
            "UserModManager_UGetFunction"       0x06
        }
    }

    "UserSpaceManager" 0x1 {
        "" {
            "UserSpaceManager_UBrk"             0x0b
        }
    }
}
