header {
"Sync for i386 - Copyright (C) 2000-2005, Luiz Henrique Shigunov (luizshigunov@users.sourceforge.net)"
0x0017
0x0
"Start"
""
}

interface {
"Mutex"
    implementation {
    "Fast"
        "Fast_Destroy"  0x0
        "Rec_Init"      0x0
        "Fast_Lock"     0x0
        "Fast_TryLock"  0x0
        "Fast_Unlock"   0x0
    }
    implementation {
    "Recursive"
        "Fast_Destroy"  0x0
        "Rec_Init"      0x0
        "Rec_Lock"      0x0
        "Rec_TryLock"   0x0
        "Rec_Unlock"    0x0
    }
    implementation {
    "Error"
        "Error_Destroy" 0x0
        "Rec_Init"      0x0
        "Error_Lock"    0x0
        "Error_TryLock" 0x0
        "Error_Unlock"  0x0
    }
}

interface {
"Semaphore"
    implementation {
    "i386"
        "Destroy"   0x0
        "Init"      0x0
        "P"         0x0
        "TryP"      0x0
        "V"         0x0
    }
}

interface {
"Thread"
    implementation {
    "i386"
        "Thread_Create"     0x0
        "Thread_Destroy"    0x0
        "Thread_GetID"      0x0
        "Thread_AllocTSD"   0x0
        "Thread_FreeTSD"    0x0
        "Thread_GetTSD"     0x0
        "Thread_SetTSD"     0x0
    }
}

usedfunctions {
    "TaskManager" 0x1 {
        "" {
            "TaskManager_UCreateThread"     0x20
            "TaskManager_UDestroyThread"    0x21
            "TaskManager_UGetThreadID"      0x22
            "TaskManager_UP"                0x23
            "TaskManager_UTryP"             0x24
            "TaskManager_UV"                0x25
        }
    }

    "MemManager" 0x1 {
        "" {
            "MemManager_UAllocUserPages"        0x0f
            "MemManager_UFreeUserPages"         0x10
            "MemManager_USetUserPagesProt"      0x11
        }
    }

    "UserModManager" 0x1 {
        "" {
            "UserModManager_UCatchException"    0x04
            "UserModManager_UExit"              0x05
            "UserModManager_UGetStackSize"      0x09
        }
    }
}
