#ifndef COMMON_H
#define COMMON_H

#include <string>
#include <vector>

#define SYSTEM_FUNC 0x01
#define NOT_IMPLEMENTED_FUNC 0x02

using namespace std;

struct Function {
	string *name;
	int prop;
	unsigned int start;
};

struct Implementation {
	string *name;
	vector<Function*> functions;
};

struct Interface {
	string *name;
	vector<Implementation*> implementations;
};

struct UsedFunction {
	string *name;
	string *interface;
	string *implementation;
	unsigned int number;
};

#endif /*COMMON_H*/
