#if !defined(AVLTREE_IN_H)
#define AVLTREE_IN_H
typedef struct _AVLTree_In_Node {
struct _AVLTree_In_Node *left;
struct _AVLTree_In_Node *right;
signed char bal;
char cache;
char pad[2];
} AVLTree_In_Node;
typedef struct {
AVLTree_In_Node *root;
int (*cmpFunc)(const void*,const AVLTree_In_Node*);
int (*cmpAddFunc)(const AVLTree_In_Node*,const AVLTree_In_Node*);
unsigned int count;
} AVLTree_In_Tree;
int AVLTree_In_Add(AVLTree_In_Tree*,AVLTree_In_Node*);
AVLTree_In_Node *AVLTree_In_Find(const AVLTree_In_Tree*,const void*);
#endif  /* AVLTREE_IN_H */
