header {
"Generic i386 chipset - Copyright (C) 2000-2005, Luiz Henrique Shigunov (luizshigunov@users.sourceforge.net)"
0x0028
0x0
"Phase0Start"
"Phase1Start"
"Shutdown"
}

interface {
"DMAController_i386"
    implementation {
    "i386"
        "DMAController_i386_Alloc"      0x1
        "DMAController_i386_Free"       0x1
        "NotImplemented"                0x2
        "DMAController_i386_Setup"      0x1
    }
}

interface {
"IntController_i386"
    implementation {
    "i386"
        "IntController_i386_EndIRQ"         0x1
        "IntController_i386_MaskIRQ"        0x1
        "IntController_i386_RedirectIRQ"    0x1
        "IntController_i386_UnmaskIRQ"      0x1
    }
}

interface {
"MemController"
    implementation {
    "i386"
        "MemController_GetMemArea"  0x1
    }
}

interface {
"TimerController_i386"
    implementation {
    "i386"
        "TimerController_i386_Alloc"    0x1
        "TimerController_i386_Free"     0x1
        "TimerController_i386_Setup"    0x1
    }
}

usedfunctions {
"IntManager_i386_NoInt"             "IntManager_i386"   ""  0x02
"IntManager_i386_RestoreInt"        "IntManager_i386"   ""  0x03
"IOPortManager_Alloc"               "IOPortManager"     ""  0x00
"IOPortManager_Free"                "IOPortManager"     ""  0x01
"MemManager_i386_AllocPhysPages"    "MemManager_i386"   ""  0x01
"MemManager_i386_FreePages"         "MemManager_i386"   ""  0x08
"MemManager_i386_FreePhysPages"     "MemManager_i386"   ""  0x09
"MemManager_i386_MapPhysPages"      "MemManager_i386"   ""  0x0a
"SysModManager_DebugMsg"            "SysModManager"     ""  0x02
"SysModManager_StartModule"         "SysModManager"     ""  0x0a
"TaskManager_LockRead"              "TaskManager"       ""  0x0d
"TaskManager_LockWrite"             "TaskManager"       ""  0x0e
"TaskManager_SpinLock"              "TaskManager"       ""  0x14
"TaskManager_SpinUnlock"            "TaskManager"       ""  0x15
"TaskManager_UnlockRW"              "TaskManager"       ""  0x19
}
