/*
*****************************************
* Interface KbdLayout
*
* Author: Luiz Henrique Shigunov
* E-mail: luizshigunov@users.sourceforge.net
* WEB: http://www.sourceforge.net/projects/modulos
* Last change: 14/05/2002
*
* See the interface specification to know what each function does.
*
* Copyright (C) 2000-2001, Luiz Henrique Shigunov
*****************************************
*/

#if !defined(__KBDLAYOUT_H)
#define __KBDLAYOUT_H
typedef struct{unsigned short charCode;unsigned short flags;}KbdLayout_VKFlags;
typedef struct{union{struct{unsigned char firstVK;unsigned char firstShift;unsigned char nextVK;unsigned char nextShift;}vks;int all;}key;unsigned short charCode;unsigned short reserved;}KbdLayout_VKDeadKey;
typedef struct{unsigned char sc2VK[128];unsigned char e0sc2VK[128];KbdLayout_VKFlags vk2CharN[256];unsigned short *vk2CharS[8];KbdLayout_VKDeadKey *deadKeys;}KbdLayout_MapTables;
KbdLayout_MapTables *KbdLayout_GetMapTables(void);
#endif /* __KBDLAYOUT_H */
