/*
*****************************************
* Interface Mutex
*
* Author: Luiz Henrique Shigunov
* E-mail: luizshigunov@users.sourceforge.net
* WEB: http://www.sourceforge.net/projects/modulos
* Last change: 13/02/2002
*
* See the interface specification to know what each function does.
*
* Copyright (C) 2000-2002, Luiz Henrique Shigunov
*****************************************
*/

#if !defined(__USER_MUTEX_H)
#define __USER_MUTEX_H
#define User_Mutex__DESTROY 0x00
#define User_Mutex__INIT 0x01
#define User_Mutex__LOCK 0x02
#define User_Mutex__TRYLOCK 0x03
#define User_Mutex__UNLOCK 0x04
typedef struct {unsigned int data[4];} User_Mutex_Mutex;
int User_Mutex_Destroy(User_Mutex_Mutex*);
int User_Mutex_Init(User_Mutex_Mutex*,int);
int User_Mutex_Lock(User_Mutex_Mutex*);
int User_Mutex_TryLock(User_Mutex_Mutex*);
int User_Mutex_Unlock(User_Mutex_Mutex*);
#endif /* __USER_MUTEX_H */
