/*
*****************************************
* Interface Semaphore
*
* Author: Luiz Henrique Shigunov
* E-mail: luizshigunov@users.sourceforge.net
* WEB: http://www.sourceforge.net/projects/modulos
* Last change: 13/02/2002
*
* See the interface specification to know what each function does.
*
* Copyright (C) 2000-2002, Luiz Henrique Shigunov
*****************************************
*/

#if !defined(__USER_SEMAPHORE_H)
#define __USER_SEMAPHORE_H
#define User_Semaphore__DESTROY 0x00
#define User_Semaphore__INIT 0x01
#define User_Semaphore__P 0x02
#define User_Semaphore__TRYP 0x03
#define User_Semaphore__V 0x04
typedef struct {int count;unsigned int data[3];} User_Semaphore_Semaphore;
int User_Semaphore_Destroy(User_Semaphore_Semaphore*);
int User_Semaphore_Init(User_Semaphore_Semaphore*,int,int);
int User_Semaphore_P(User_Semaphore_Semaphore*);
int User_Semaphore_TryP(User_Semaphore_Semaphore*);
int User_Semaphore_V(User_Semaphore_Semaphore*);
#endif /* __USER_SEMAPHORE_H */
