header {
"FSManager - Copyright (C) 2000-2004, Luiz Henrique Shigunov (luizshigunov@users.sourceforge.net)"
0x0032
0x0
""
"Phase1Start"
"Shutdown"
}

interface {
"FSManager"
    implementation {
    "i386"
        "FSManager_Close"       0x1
        "FSManager_StatusFD"    0x1
        "FSManager_Mount"       0x1
        "FSManager_Open"        0x1
        "FSManager_UStatusFD"   0x0300
        "FSManager_Read"        0x1
        "NotImplemented"        0x2
        "FSManager_Remove"      0x1
        "NotImplemented"        0x2
        "FSManager_RewindDir"   0x1
        "FSManager_Seek"        0x1
        "FSManager_Status"      0x1
        "FSManager_Unmount"     0x1
        "FSManager_Write"       0x1
        "FSManager_UClose"      0x0100
        "FSManager_UChangeDir"  0x0100
        "FSManager_UChangeRoot" 0x0100
        "FSManager_UMount"      0x0600
        "FSManager_UOpen"       0x0200
        "NotImplemented"        0x2
        "FSManager_URead"       0x0300
        "NotImplemented"        0x2
        "FSManager_URemove"     0x0100
        "NotImplemented"        0x2
        "FSManager_URewindDir"  0x0100
        "FSManager_USeek"       0x0300
        "FSManager_UStatus"     0x0300
        "FSManager_UUnmount"    0x0200
        "FSManager_UWrite"      0x0300
    }
}

interface {
"UserSpaceManagerE"
    implementation {
    "FSManager-i386"
        "FSManager_TaskCreated"     0x1
        "FSManager_TaskDestroyed"   0x1
    }
}

usedfunctions {
"CfgManager_CloseGroup"             "CfgManager"            ""  0x00
"CfgManager_GetValue"               "CfgManager"            ""  0x03
"CfgManager_OpenGroup"              "CfgManager"            ""  0x04
"MemMan_Compare"                    "MemMan"                ""  0x00
"MemMan_Copy"                       "MemMan"                ""  0x01
"MemMan_Set"                        "MemMan"                ""  0x04
"MemManager_Alloc"                  "MemManager"            ""  0x00
"MemManager_AllocObj"               "MemManager"            ""  0x01
"MemManager_CreateObjCache"         "MemManager"            ""  0x02
"MemManager_DestroyObjCache"        "MemManager"            ""  0x03
"MemManager_Free"                   "MemManager"            ""  0x04
"MemManager_FreeObj"                "MemManager"            ""  0x05
"MemManager_i386_AllocPages"        "MemManager_i386"       ""  0x00
"MemManager_i386_FreePages"         "MemManager_i386"       ""  0x08
"SysModManager_DebugMsg"            "SysModManager"         ""  0x02
"SysModManager_GetFunction"         "SysModManager"         ""  0x05
"SysModManager_GetImpID"            "SysModManager"         ""  0x0c
"SysModManager_PutImpID"            "SysModManager"         ""  0x03
"SysModManager_StartModule"         "SysModManager"         ""  0x0a
"TaskManager_DelTaskInfo"           "TaskManager"           ""  0x03
"TaskManager_GetTaskInfo"           "TaskManager"           ""  0x09
"TaskManager_P"                     "TaskManager"           ""  0x0f
"TaskManager_SetTaskInfo"           "TaskManager"           ""  0x12
"TaskManager_V"                     "TaskManager"           ""  0x1a
"UserSpaceManager_StrNCopy"         "UserSpaceManager"      ""  0x07
}
