header {
"Interface Manager - Copyright (C) 2000-2004, Luiz Henrique Shigunov (luizshigunov@users.sourceforge.net)"
0x0036
0x0
""
"Phase1Start"
"Shutdown"
}

interface {
"InterManager"
    implementation {
    "i386"
        "RegisterInput"         0x1
        "RegisterOutput"        0x1
        "SendEvent"             0x1
        "UFlushEventQueue"      0x0100
        "UGetInputInfo"         0x0300
        "UGetOutputInfo"        0x0200
        "USetFocus"             0x0100
        "UWaitEvent"            0x0200
        "GetInputInfo"          0x1
        "GetOutputInfo"         0x1
    }
}

interface {
"UserSpaceManagerE"
    implementation {
    "InterManager-i386"
        "UserSpaceManagerE_TaskCreated"   0x1
        "UserSpaceManagerE_TaskDestroyed" 0x1
    }
}

usedfunctions {
"MemMan_Copy"                       "MemMan"                ""  0x01
"MemManager_Alloc"                  "MemManager"            ""  0x00
"MemManager_AllocObj"               "MemManager"            ""  0x01
"MemManager_CreateObjCache"         "MemManager"            ""  0x02
"MemManager_DestroyObjCache"        "MemManager"            ""  0x03
"MemManager_Free"                   "MemManager"            ""  0x04
"MemManager_FreeObj"                "MemManager"            ""  0x05
"StringMan_Length"                  "StringMan"             ""  0x05
"SysModManager_DebugMsg"            "SysModManager"         ""  0x02
"SysModManager_GetFunction"         "SysModManager"         ""  0x05
"SysModManager_GetImpID"            "SysModManager"         ""  0x0c
"SysModManager_PutImpID"            "SysModManager"         ""  0x03
"SysModManager_StartModule"         "SysModManager"         ""  0x0a
"TaskManager_Destroyable"           "TaskManager"           ""  0x2d
"TaskManager_DelTaskInfo"           "TaskManager"           ""  0x03
"TaskManager_GetParentTaskHandle"   "TaskManager"           ""  0x26
"TaskManager_GetTaskHandle"         "TaskManager"           ""  0x08
"TaskManager_GetTaskHandleID"       "TaskManager"           ""  0x27
"TaskManager_GetTaskInfo"           "TaskManager"           ""  0x09
"TaskManager_P"                     "TaskManager"           ""  0x0f
"TaskManager_SetTaskInfo"           "TaskManager"           ""  0x12
"TaskManager_Undestroyable"         "TaskManager"           ""  0x2f
"TaskManager_V"                     "TaskManager"           ""  0x1a
"UserSpaceManager_CopyToUser"       "UserSpaceManager"      ""  0x01
}
