header {
"MemManager - Copyright (C) 2000-2005, Luiz Henrique Shigunov (luizshigunov@users.sourceforge.net)"
0x0036
0x0
"Phase0Start"
"Phase1Start"
""
}

interface {
"MemManager"
    implementation {
    "i386"
        "MemManager_Alloc"              0x1
        "MemManager_AllocObj"           0x1
        "MemManager_CreateObjCache"     0x1
        "MemManager_DestroyObjCache"    0x1
        "MemManager_Free"               0x1
        "MemManager_FreeObj"            0x1
        "MemManager_AllocUserPages"     0x1
        "MemManager_AttachShMemory"     0x1
        "MemManager_CreateShMemory"     0x1
        "MemManager_DestroyShMemory"    0x1
        "MemManager_DetachShMemory"     0x1
        "MemManager_FreeUserPages"      0x1
        "MemManager_MapPageAtUserPage"  0x1
        "MemManager_ProtectShMemory"    0x1
        "MemManager_SetUserPagesProt"   0x1
        "MemManager_UAllocUserPages"    0x0400
        "MemManager_UFreeUserPages"     0x0200
        "MemManager_USetUserPagesProt"  0x0300
    }
}

interface {
"UserSpaceManagerE"
    implementation {
    "MemManager-i386"
        "MemManager_TaskCreated"    0x1
        "MemManager_TaskDestroyed"  0x1
    }
}

interface {
"MemManager_i386"
    implementation {
    "i386"
        "MemManager_i386_AllocPages"            0x1
        "MemManager_i386_AllocPhysPages"        0x1
        "MemManager_i386_Block"                 0x1
        "MemManager_i386_Catch"                 0x1
        "MemManager_i386_CreateDescriptor"      0x1
        "MemManager_i386_CreatePGD"             0x1
        "MemManager_i386_DestroyDescriptor"     0x1
        "MemManager_i386_FreeException"         0x1
        "MemManager_i386_FreePages"             0x1
        "MemManager_i386_FreePhysPages"         0x1
        "MemManager_i386_MapPhysPages"          0x1
        "MemManager_i386_SetPagesProp"          0x1
        "MemManager_i386_Unblock"               0x1
    }
}

usedfunctions {
"IntManager_i386_CatchException"    "IntManager_i386"       ""  0x04
"MemController_GetMemArea"          "MemController"         ""  0x00
"MemMan_Copy"                       "MemMan"                ""  0x01
"MemMan_FindByte"                   "MemMan"                ""  0x02
"MemMan_Set"                        "MemMan"                ""  0x04
"SysModManager_DebugMsg"            "SysModManager"         ""  0x02
"SysModManager_GetModuleInfoIndex"  "SysModManager"         ""  0x12
"SysModManager_StartModule"         "SysModManager"         ""  0x0a
"TaskManager_DelTaskInfo"           "TaskManager"           ""  0x03
"TaskManager_DestroyableThread"     "TaskManager"           ""  0x30
"TaskManager_GetTaskInfo"           "TaskManager"           ""  0x09
"TaskManager_GetTaskMMap"           "TaskManager"           ""  0x1d
"TaskManager_P"                     "TaskManager"           ""  0x0f
"TaskManager_SetTaskInfo"           "TaskManager"           ""  0x12
"TaskManager_UndestroyableThread"   "TaskManager"           ""  0x2f
"TaskManager_V"                     "TaskManager"           ""  0x1a
}
