header {
"TaskManager - Copyright (C) 2000-2005, Luiz Henrique Shigunov (luizshigunov@users.sourceforge.net)"
0x0037
0x0
"Phase0Start"
"Phase1Start"
""
}

interface {
"TaskManager"
    implementation {
    "i386"
        "TaskManager_CancelWait"        0x1
        "TaskManager_CreateTask"        0x1
        "TaskManager_CreateThread"      0x1
        "TaskManager_DelTaskInfo"       0x1
        "TaskManager_DelThreadInfo"     0x1
        "TaskManager_DestroyTask"       0x1
        "TaskManager_DestroyThread"     0x1
        "TaskManager_GetMsCounter"      0x1
        "TaskManager_GetTaskHandle"     0x1
        "TaskManager_GetTaskInfo"       0x1
        "TaskManager_GetThreadHandle"   0x1
        "TaskManager_GetThreadInfo"     0x1
        "TaskManager_GetThreadStatus"   0x1
        "TaskManager_LockRead"          0x1
        "TaskManager_LockWrite"         0x1
        "TaskManager_P"                 0x1
        "TaskManager_Resume"            0x1
        "TaskManager_Schedule"          0x1
        "TaskManager_SetTaskInfo"       0x1
        "TaskManager_SetThreadInfo"     0x1
        "TaskManager_SpinLock"          0x1
        "TaskManager_SpinUnlock"        0x1
        "TaskManager_Suspend"           0x1
        "TaskManager_ToUserLevel"       0x1
        "NotImplemented"                0x3
        "TaskManager_UnlockRW"          0x1
        "TaskManager_V"                 0x1
        "TaskManager_Wait"              0x1
        "TaskManager_Yield"             0x1
        "TaskManager_GetTaskMMap"       0x1
        "TaskManager_WaitQueueAdd"      0x1
        "TaskManager_WaitQueueWakeup"   0x1
        "TaskManager_UCreateThread"     0x0400
        "TaskManager_UDestroyThread"    0x0300
        "TaskManager_UGetThreadID"      0x0000
        "TaskManager_UP"                0x0100
        "TaskManager_UTryP"             0x0100
        "TaskManager_UV"                0x0100
        "TaskManager_GetParentTaskHandle"   0x1
        "TaskManager_GetTaskHandleID"   0x1
        "TaskManager_GetTaskID"         0x1
        "TaskManager_GetThreadHandleID" 0x1
        "TaskManager_GetThreadID"       0x1
        "TaskManager_UGetParentTaskID"  0x0000
        "TaskManager_UGetTaskID"        0x0000
        "TaskManager_Destroyable"       0x1
        "NotImplemented"                0x3
        "TaskManager_UndestroyableThread"   0x1
        "TaskManager_DestroyableThread" 0x1
    }
}

usedfunctions {
"IntManager_i386_Catch"             "IntManager_i386"       ""  0x00
"IntManager_i386_Free"              "IntManager_i386"       ""  0x01
"IntManager_i386_NoInt"             "IntManager_i386"       ""  0x02
"IntManager_i386_RestoreInt"        "IntManager_i386"       ""  0x03
"MemManager_AllocObj"               "MemManager"            ""  0x01
"MemManager_CreateObjCache"         "MemManager"            ""  0x02
"MemManager_DestroyObjCache"        "MemManager"            ""  0x03
"MemManager_FreeObj"                "MemManager"            ""  0x05
"MemManager_UFreeUserPages"         "MemManager"            ""  0x10
"MemManager_i386_AllocPages"        "MemManager_i386"       ""  0x00
"MemManager_i386_CreateDescriptor"  "MemManager_i386"       ""  0x04
"MemManager_i386_CreatePGD"         "MemManager_i386"       ""  0x05
"MemManager_i386_FreePages"         "MemManager_i386"       ""  0x08
"MemManager_i386_FreePhysPages"     "MemManager_i386"       ""  0x09
"StringMan_NCopy"                   "StringMan"             ""  0x08
"SysModManager_Broadcast"           "SysModManager"         ""  0x00
"SysModManager_DebugMsg"            "SysModManager"         ""  0x02
"SysModManager_StartModule"         "SysModManager"         ""  0x0a
"TimerController_i386_Alloc"        "TimerController_i386"  ""  0x00
"TimerController_i386_Setup"        "TimerController_i386"  ""  0x02
"UserSpaceManager_CopyFromUser"     "UserSpaceManager"      ""  0x00
"UserSpaceManager_CopyToUser"       "UserSpaceManager"      ""  0x01
"UserSpaceManager_StrNCopy"         "UserSpaceManager"      ""  0x07
}
