header {
"User Space Manager - Copyright (C) 2003-2004, Luiz Henrique Shigunov (luizshigunov@users.sourceforge.net)"
0x0012
0x0
""
"Phase1Start"
"Shutdown"
}

interface {
"UserSpaceManager"
    implementation {
    "i386"
        "CopyFromUser"          0x1
        "CopyToUser"            0x1
        "Exit"                  0x1
        "MapStackPages"         0x1
        "RegisterLoader"        0x1
        "Run"                   0x1
        "StrLen"                0x1
        "StrNCopy"              0x1
        "UnregisterLoader"      0x1
        "URun"                  0x0300
        "Brk"                   0x1
        "UBrk"                  0x0100
    }
}

interface {
"TaskManagerE"
    implementation {
    "UserSpaceManager-i386"
        "TaskManagerE_TaskDestroyed"      0x1
    }
}

usedfunctions {
"CfgManager_CloseGroup"             "CfgManager"            ""  0x00
"CfgManager_GetValue"               "CfgManager"            ""  0x03
"CfgManager_OpenGroup"              "CfgManager"            ""  0x04
"CfgManager_OpenGroupIndex"         "CfgManager"            ""  0x05
"FSManager_Close"                   "FSManager"             ""  0x00
"FSManager_Open"                    "FSManager"             ""  0x03
"FSManager_Read"                    "FSManager"             ""  0x05
"FSManager_Seek"                    "FSManager"             ""  0x0a
"FSManager_StatusFD"                "FSManager"             ""  0x01
"InterManager_RegisterInput"        "InterManager"          ""  0x00
"InterManager_RegisterOutput"       "InterManager"          ""  0x01
"MemMan_Copy"                       "MemMan"                ""  0x01
"MemMan_Set"                        "MemMan"                ""  0x04
"MemManager_Alloc"                  "MemManager"            ""  0x00
"MemManager_AllocUserPages"         "MemManager"            ""  0x06
"MemManager_Free"                   "MemManager"            ""  0x04
"MemManager_FreeUserPages"          "MemManager"            ""  0x0b
"MemManager_MapPageAtUserPage"      "MemManager"            ""  0x0c
"MemManager_i386_AllocPages"        "MemManager_i386"       ""  0x00
"MemManager_i386_AllocPhysPages"    "MemManager_i386"       ""  0x01
"MemManager_i386_Catch"             "MemManager_i386"       ""  0x03
"MemManager_i386_FreeException"     "MemManager_i386"       ""  0x07
"MemManager_i386_FreePages"         "MemManager_i386"       ""  0x08
"MemManager_i386_FreePhysPages"     "MemManager_i386"       ""  0x09
"MemManager_i386_MapPhysPages"      "MemManager_i386"       ""  0x0a
"StringMan_FindLastChar"            "StringMan"             ""  0x04
"StringMan_Length"                  "StringMan"             ""  0x05
"SysModManager_Broadcast"           "SysModManager"         ""  0x00
"SysModManager_DebugMsg"            "SysModManager"         ""  0x02
"SysModManager_GetFunction"         "SysModManager"         ""  0x05
"SysModManager_GetImpID"            "SysModManager"         ""  0x0c
"SysModManager_PutImpID"            "SysModManager"         ""  0x03
"SysModManager_StartModule"         "SysModManager"         ""  0x0a
"TaskManager_CreateTask"            "TaskManager"           ""  0x01
"TaskManager_DelTaskInfo"           "TaskManager"           ""  0x03
"TaskManager_Destroyable"           "TaskManager"           ""  0x2d
"TaskManager_DestroyableThread"     "TaskManager"           ""  0x30
"TaskManager_DestroyTask"           "TaskManager"           ""  0x05
"TaskManager_GetParentTaskHandle"   "TaskManager"           ""  0x26
"TaskManager_GetTaskHandle"         "TaskManager"           ""  0x08
"TaskManager_GetTaskID"             "TaskManager"           ""  0x28
"TaskManager_GetTaskInfo"           "TaskManager"           ""  0x09
"TaskManager_LockRead"              "TaskManager"           ""  0x0d
"TaskManager_LockWrite"             "TaskManager"           ""  0x0e
"TaskManager_P"                     "TaskManager"           ""  0x0f
"TaskManager_Resume"                "TaskManager"           ""  0x10
"TaskManager_SetTaskInfo"           "TaskManager"           ""  0x12
"TaskManager_ToUserLevel"           "TaskManager"           ""  0x17
"TaskManager_UnlockRW"              "TaskManager"           ""  0x19
"TaskManager_V"                     "TaskManager"           ""  0x1a
"TaskManager_WaitQueueAdd"          "TaskManager"           ""  0x1e
"TaskManager_WaitQueueWakeup"       "TaskManager"           ""  0x1f
}
